﻿@using Application.Model;
@model List<ProjectViewModel>
@{
    ViewData["Title"] = "Project List";
}

<div class="text-center">
    <h2 class="text-center">Project List</h2>
</div>

<table>
    <thead>
        <tr>
            <th>Title</th>
            <th>Description</th>
            <th>Create Date</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        @foreach(var item in Model)
        {
            <tr>
                <td>@item.Title</td>
                <td>@item.Description</td>
                <td>@item.CreateDate.ToString("dd/MM/yyyy")</td>
                <td>
                    <button type="button" onclick="location.href='@Url.Action("Edit", "Project", new { id = item.Id })'" class="btn action-btn">Edit</button>
                    <button type="button" onclick="location.href='@Url.Action("Delete", "Project", new { id = item.Id })'" class="btn delete-btn">Delete</button>
                </td>
            </tr>
        }

    </tbody>
</table>

<div class="form-group text-center">
    <button type="button" onclick="location.href='@Url.Action("Form", "Project")'" class="btn action-btn mt-2">Create New Project</button>
</div>